> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve Commission



## OpenAPI

````yaml https://api.vellaro.io/openapi.json post /api/v1/admin/affiliate-commissions/{cid}/approve
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/affiliate-commissions/{cid}/approve:
    post:
      tags:
        - admin:affiliates
      summary: Approve Commission
      operationId: approve_commission_api_v1_admin_affiliate_commissions__cid__approve_post
      parameters:
        - name: cid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Cid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_CommissionOut_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_CommissionOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/CommissionOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[CommissionOut]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CommissionOut:
      properties:
        id:
          type: string
          title: Id
        order_id:
          type: string
          title: Order Id
        affiliate_id:
          type: string
          title: Affiliate Id
        affiliate_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Affiliate Code
        base_amount:
          type: number
          title: Base Amount
        rate:
          type: number
          title: Rate
        amount:
          type: number
          title: Amount
        currency:
          type: string
          title: Currency
        status:
          type: string
          title: Status
        approved_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Approved At
        paid_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Paid At
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - order_id
        - affiliate_id
        - base_amount
        - rate
        - amount
        - currency
        - status
        - created_at
      title: CommissionOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````